<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\Message;

use Gls\GlsPoland\Carrier\CarrierType;

interface CreateCarrierCommandInterface
{
    public function getType(): CarrierType;

    public function getName(): string;

    public function isCashOnDelivery(): bool;

    /**
     * @return string[]
     */
    public function getCountryIsoCodes(): array;
}
